none
I can't install .NET Framework in Windows Server 2008 STD RRS feed

  • Question

  • Hi

    I'm trying to install. NET Frame Work 3.5 on Windows Server 2008 but can not.

    Enable the feature. NET Framework 3.5.1 but I get the following error when trying to install. NET Frame Work 3.5

    "You may start the role management tool to install or configure. Net Framework 3.5"

    What can I do?


    Friday, January 22, 2010 5:32 PM

Answers

  • Hi PClalito,

    Thank you for your post.

    Some clarification with you:
    Is your OS Windows Server 2008 or Windows Server 2008 R2?

    Based on your description, it seems that you want to install .NET Framework 3.5 SP1 on your Windows Server 2008 R2 machine.

    For Windows Server 2008 R2 (all editions), it includes the .NET Framework 3.5.1 as an OS component. This means you will get the .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 plus a few post 3.5 SP1 bug fixes. The feature of 3.5 SP1 can be added or removed via the Programs and Features control panel.
    For more information, please check: http://blogs.msdn.com/astebner/archive/2007/03/14/mailbag-what-version-of-the-net-framework-is-included-in-what-version-of-the-os.aspx

    To turn on the feature of .NET 3.5.1, please go to Start menu >> Administrative Tools >> Server Manager.
    In Server Manager, please select "Features" >> Add Features >> Check the box next to Microsoft .NET Framework 3.5.1. Then follow the wizard to complete the installation.
    You can check the following screen shot to get more useful information:




    Hope this helps! If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Friday, January 29, 2010 2:38 AM
    Monday, January 25, 2010 10:04 AM

All replies

  • Hi PClalito,

    Thank you for your post.

    Some clarification with you:
    Is your OS Windows Server 2008 or Windows Server 2008 R2?

    Based on your description, it seems that you want to install .NET Framework 3.5 SP1 on your Windows Server 2008 R2 machine.

    For Windows Server 2008 R2 (all editions), it includes the .NET Framework 3.5.1 as an OS component. This means you will get the .NET Framework 2.0 SP2, 3.0 SP2 and 3.5 SP1 plus a few post 3.5 SP1 bug fixes. The feature of 3.5 SP1 can be added or removed via the Programs and Features control panel.
    For more information, please check: http://blogs.msdn.com/astebner/archive/2007/03/14/mailbag-what-version-of-the-net-framework-is-included-in-what-version-of-the-os.aspx

    To turn on the feature of .NET 3.5.1, please go to Start menu >> Administrative Tools >> Server Manager.
    In Server Manager, please select "Features" >> Add Features >> Check the box next to Microsoft .NET Framework 3.5.1. Then follow the wizard to complete the installation.
    You can check the following screen shot to get more useful information:




    Hope this helps! If you have any concern, please feel free to let me know.

    Best regards,
    Yichun Chen
    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Marked as answer by YiChun Chen Friday, January 29, 2010 2:38 AM
    Monday, January 25, 2010 10:04 AM
  • Hi PClalito,

    Does the above suggestion work?

    I've marked my reply as answer. If you have any concern, you can unmark my reply and let me know.

    Best regards,
    Yichun Chen

    Please remember to mark the replies as answers if they help and unmark them if they provide no help.
    Welcome to the All-In-One Code Framework! If you have any feedback, please tell us.
    • Edited by YiChun Chen Friday, January 29, 2010 2:39 AM typo
    Friday, January 29, 2010 2:38 AM